package cz.moneta.test.dsl.hypos.pages.contract.clients;

import cz.moneta.test.dsl.hypos.pages.HyposPageFlow;
import cz.moneta.test.harness.support.web.CheckElementContent;
import cz.moneta.test.harness.support.web.GetElementContent;
import cz.moneta.test.harness.support.web.Wait;

import static cz.moneta.test.dsl.hypos.pages.contract.clients.ClientDetailsPage.PAGE_TITLE;

@Wait({PAGE_TITLE})
public interface ClientDetailsPage extends HyposPageFlow<ClientDetailsPage> {
    String PAGE_TITLE = "//h2[text()='Identifikační údaje']";
    String CLIENT_PIN_TD = "//th[text()='Rodné číslo']//following::td[1]";
    String CLIENT_CIF_TD = "//th[text()='Číslo CIF']//following::td[1]";

    @CheckElementContent(CLIENT_PIN_TD)
    ClientDetailsPage checkClientPin(String pin);

    @GetElementContent(CLIENT_CIF_TD)
    String getClientCif();

}
